# SaveLoadFormat Struct Reference

The format for a reader/writer type of a savegame. More...

## Data Fields

const char * | name
| name of the compressor/decompressor (debug-only)
uint32 | tag
| the 4-letter tag by which it is identified in the savegame
bool(* | init_read )(byte compression)
| function executed upon initalization of the loader
ReaderProc * | reader
| function that loads the data from the file
void(* | uninit_read )()
| function executed when reading is finished
bool(* | init_write )(byte compression)
| function executed upon intialization of the saver
WriterProc * | writer
| function that saves the data to the file
void(* | uninit_write )()
| function executed when writing is done
byte | min_compression
| the minimum compression level of this format
byte | default_compression
| the default compression level of this format
byte | max_compression
| the maximum compression level of this format

## Detailed Description

The format for a reader/writer type of a savegame.

Definition at line 1617 of file saveload.cpp.

The documentation for this struct was generated from the following file:

- src/saveload/saveload.cpp